using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.PerformanceManager.repository;

namespace e_suite.Modules.PerformanceManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<PerformanceManagerRepository>().As<IPerformanceManagerRepository>().InstancePerLifetimeScope();
        builder.RegisterType<PerformanceManager>().As<IPerformanceManager>().InstancePerLifetimeScope();
    }
}